import java.net.Socket;
import java.io.IOException;

/**
 * GameClient
 * 
 * @author Taylor Born
 * @version January 2014
 */
public abstract class GameClient extends Client
{
    protected int identity;
    protected int playerX, playerY;
    
    public GameClient(Socket socket)
    {
        super(socket);
    }
    public GameClient(String ip, int port) throws IOException
    {
        super(ip, port);
    }
    
    public int getIdentity()
    {
        return identity;
    }
    
    public void setLocation(int x, int y)
    {
        playerX = x;
        playerY = y;
    }
    
    public int getX()
    {
        return playerX;
    }
    public int getY()
    {
        return playerY;
    }
}